import { editor } from "monaco-editor";
import { SwfLanguageServiceCommandIds } from "@kie-tools/serverless-workflow-language-service/dist/api";
import { FileLanguage } from "@kie-tools/serverless-workflow-language-service/dist/editor";
import { OperatingSystem } from "@kie-tools-core/operating-system";
import { EditorTheme } from "@kie-tools-core/editor/dist/api";
export interface SwfTextEditorApi {
    editor: editor.IStandaloneCodeEditor | undefined;
    show: (container: HTMLDivElement, theme?: EditorTheme) => editor.IStandaloneCodeEditor;
    undo: () => void;
    redo: () => void;
    getContent: () => string;
    setTheme: (theme: EditorTheme) => void;
    forceRedraw: () => void;
    dispose: () => void;
    moveCursorToNode: (nodeName: string) => void;
}
export declare enum SwfTextEditorOperation {
    UNDO = 0,
    REDO = 1,
    EDIT = 2
}
export interface SwfTextEditorInstance {
    commands: SwfLanguageServiceCommandIds;
    instance: editor.IStandaloneCodeEditor;
}
export declare class SwfTextEditorController implements SwfTextEditorApi {
    private readonly onContentChange;
    private readonly language;
    private readonly operatingSystem;
    private readonly isReadOnly;
    private readonly setValidationErrors;
    private readonly fileName;
    private readonly model;
    editor: editor.IStandaloneCodeEditor | undefined;
    private swfOffsetsApi;
    constructor(content: string, onContentChange: (content: string, operation: SwfTextEditorOperation) => void, language: FileLanguage, operatingSystem: OperatingSystem | undefined, isReadOnly: boolean, setValidationErrors: (errors: editor.IMarker[]) => void, fileName?: string);
    redo(): void;
    undo(): void;
    getValidationMarkers: () => editor.IMarker[];
    setTheme(theme: EditorTheme): void;
    show(container: HTMLDivElement, theme: EditorTheme): editor.IStandaloneCodeEditor;
    getContent(): string;
    forceRedraw(): void;
    moveCursorToNode(nodeName: string): void;
    private getMonacoThemeByEditorTheme;
    dispose(): void;
}
//# sourceMappingURL=SwfTextEditorController.d.ts.map